Bug 1475800 - gi.overrides.BlockDev.DMError: Failed to group_set
gi.overrides.BlockDev.DMError: Failed to group_set
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libblockdev (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
abrt_hash:500877468c4bf0e8f85279744b8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 08:05 EDT by Thomas C Bailey
Modified: 2017-12-12 05:19 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:19:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (398.22 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: anaconda.log (14.25 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: dnf.librepo.log (78.59 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: environ (482 bytes, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: hawkey.log (1.79 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: lsblk_output (1.89 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: nmcli_dev_list (1.25 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: os_info (449 bytes, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: program.log (7.14 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: storage.log (14.68 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: ifcfg.log (2.26 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details
File: packaging.log (1.75 KB, text/plain)
2017-07-27 08:05 EDT, Thomas C Bailey
no flags Details

  None (edit)
Description Thomas C Bailey 2017-07-27 08:05:14 EDT
Description of problem:
During installation, got to enter preferred language page, and then installation crashed with an unknown error.

Version-Release number of selected component:
anaconda-25.20.8-1

The following was filed automatically by anaconda:
anaconda 25.20.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.5/site-packages/gi/overrides/BlockDev.py", line 441, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.5/site-packages/blivet/populator/helpers/dmraid.py", line 56, in run
    rs_names = blockdev.dm.get_member_raid_sets(name, uuid, major, minor)
  File "/usr/lib/python3.5/site-packages/blivet/populator/populator.py", line 345, in handle_format
    helper_class(self, info, device).run()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/populator/populator.py", line 318, in handle_device
    self.handle_format(info, device)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/populator/populator.py", line 518, in _populate
    self.handle_device(dev)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/populator/populator.py", line 451, in populate
    self._populate()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/blivet.py", line 271, in reset
    self.devicetree.populate(cleanup_only=cleanup_only)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/osinstall.py", line 1175, in storage_initialize
    storage.reset()
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.DMError: Failed to group_set

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-25 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        25
Comment 1 Thomas C Bailey 2017-07-27 08:05:19 EDT
Created attachment 1305305 [details]
File: anaconda-tb
Comment 2 Thomas C Bailey 2017-07-27 08:05:20 EDT
Created attachment 1305306 [details]
File: anaconda.log
Comment 3 Thomas C Bailey 2017-07-27 08:05:21 EDT
Created attachment 1305307 [details]
File: dnf.librepo.log
Comment 4 Thomas C Bailey 2017-07-27 08:05:22 EDT
Created attachment 1305308 [details]
File: environ
Comment 5 Thomas C Bailey 2017-07-27 08:05:24 EDT
Created attachment 1305309 [details]
File: hawkey.log
Comment 6 Thomas C Bailey 2017-07-27 08:05:25 EDT
Created attachment 1305310 [details]
File: lsblk_output
Comment 7 Thomas C Bailey 2017-07-27 08:05:26 EDT
Created attachment 1305311 [details]
File: nmcli_dev_list
Comment 8 Thomas C Bailey 2017-07-27 08:05:27 EDT
Created attachment 1305312 [details]
File: os_info
Comment 9 Thomas C Bailey 2017-07-27 08:05:28 EDT
Created attachment 1305313 [details]
File: program.log
Comment 10 Thomas C Bailey 2017-07-27 08:05:29 EDT
Created attachment 1305314 [details]
File: storage.log
Comment 11 Thomas C Bailey 2017-07-27 08:05:30 EDT
Created attachment 1305315 [details]
File: ifcfg.log
Comment 12 Thomas C Bailey 2017-07-27 08:05:31 EDT
Created attachment 1305316 [details]
File: packaging.log
Comment 13 Jiri Konecny 2017-07-28 04:01:26 EDT
Looks like a bug in a libblockdev. Changing components.
Comment 14 Thomas C Bailey 2017-07-28 09:56:34 EDT
I don't know whether this will help or not.  I'm trying to install Amahi on an old Dell Precision 470.  The default instructions for assigning the network gateway aren't correct for my system, and I goofed it up a couple times.  I don't know how to correct this without uninstalling, or how to uninstall Amahi and leave Fedora intact, so I did a complete reinstalls of Fedora, and Amahi, twice.  I was on my third reinstall (confident that I would get it right this time) when this error occurred for the first time.  Reformatting the hard drive doesn't help, nor does using the basic graphic mode of installation of Fedora. I have an old licensed copy of Windows XP, and that installs fine.  I'm happy to provide any other details.
Comment 15 Thomas C Bailey 2017-09-09 10:50:16 EDT
I think this might have had something to do with using the Adaptec RAID formatting utility.  I had no good reason to use it.  I just didn't understand the JBOD detection message that I was getting at bootup.  The machine has only one hard drive.  That's probably why.  I remembered that I had done this Adaptec formatting between the second and third attempt at reinstallation of Fedora. I saw that the Fedora error was that it wasn't detecting the hard drive. So, I used a Windows 7 installation disk to format and partition the disk, and then the Fedora installation went fine. I admit that I also did some fumbling with the BIOS utility and boot sequence, but ultimately reset those to defaults, so I don't think that had anything to do with success. I'm don't know why Windows XP had installed OK when Fedora would not, and I don't know what difference Windows 7 partitioning and formatting would have done, but at any rate, my second Amahi HDA is up and running.
Comment 16 Fedora End Of Life 2017-11-16 13:48:03 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-12-12 05:19:35 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.